## kjots 5.0.1

=== src/CMakeLists.txt ===

# noteshared contains copy of some classes from kdepim/noteshared. This
# is at least until the noteshared library is split out from kdepim
# repository and we can link against it
add_subdirectory(noteshared)
# akonadi_next is dead in kdepim, those are two utility classes salvaged from
# it that were used by KJots. We could eventually move this to Akonadi Note
add_subdirectory(akonadi_next)

add_definitions(-DTRANSLATION_DOMAIN=\"kjots\")

configure_file(kjots-version.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/kjots-version.h
               @ONLY
)

#########################################################################
# Code common to the kjots application and the kontact plugin
# Don't make it a static library, this code needs to be compiled
# with -fPIC for the part and without -fPIC for the executable
#########################################################################

set(kjots_config_SRCS kjotsconfigdlg.cpp)
kconfig_add_kcfg_files(kjots_config_SRCS KJotsSettings.kcfgc )
ki18n_wrap_ui(kjots_config_SRCS confpagemisc.ui)

set(kjots_common_SRCS
  aboutdata.cpp
  kjotslockjob.cpp
  kjotsedit.cpp
  kjotstreeview.cpp
  kjotsbookmarks.cpp
  kjotsreplacenextdialog.cpp
  kjotsmodel.cpp
  kjotssortproxymodel.cpp
  kjotswidget.cpp
  kjotsbrowser.cpp
  kjotslinkdialog.cpp
  localresourcecreator.cpp
  kjotsbookshelfentryvalidator.cpp
  knowitimporter.cpp
  ${kjots_config_SRCS}
)

add_library(kjots_common STATIC ${kjots_common_SRCS})
target_link_libraries(kjots_common
  akonadi_next
  noteshared
  Qt5::DBus
  Qt5::PrintSupport
  KF5::KCMUtils
  KF5::Bookmarks
  KF5::ConfigWidgets
  KF5::Mime
  KF5::AkonadiCore
  KF5::AkonadiWidgets
  KF5::PimTextEdit
  KF5::XmlGui
  KF5::KIOWidgets
  Grantlee5::Templates
  Grantlee5::TextDocument
)

#########################################################################
# D-Bus interface
#########################################################################

qt5_generate_dbus_interface( kjotswidget.h org.kde.KJotsWidget.xml OPTIONS -m )
qt5_add_dbus_interfaces(kjots_common_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KJotsWidget.xml)


#########################################################################
# Main Application SECTION
#########################################################################

set(kjots_SRCS
   main.cpp
   KJotsMain.cpp
)
kde4_add_app_icon(kjots_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kjots.png")
# TODO: ECM_ADD_APP_ICON?

add_executable(kjots ${kjots_SRCS})

target_link_libraries(kjots
  kjots_common
  KF5::KontactInterface
)

install(TARGETS kjots ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kjots.kcfg
        DESTINATION ${KCFG_INSTALL_DIR}
)
install(FILES kjotsui.rc
        DESTINATION ${KXMLGUI_INSTALL_DIR}/kjots
)

############## next target ##############

set(kjotspart_PART_SRCS
  kjotspart.cpp
)

add_library(kjotspart MODULE ${kjotspart_PART_SRCS})

target_link_libraries(kjotspart
  kjots_common
  KF5::Parts
)

install(FILES ${CMAKE_SOURCE_DIR}/data/kjotspart.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)
install(FILES kjotspartui.rc
        DESTINATION ${KXMLGUI_INSTALL_DIR}/kjots
)
install(TARGETS kjotspart
        DESTINATION ${PLUGIN_INSTALL_DIR}
)

###########################################################################

set(kcm_kjots_PART_SRCS
    kcm_kjots.cpp
    ${kjots_config_SRCS}
)

add_library(kcm_kjots MODULE ${kcm_kjots_PART_SRCS})

target_link_libraries(kcm_kjots
    KF5::KCMUtils
    KF5::I18n
)

install(TARGETS kcm_kjots
        DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES ${CMAKE_SOURCE_DIR}/data/kjots_config_misc.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
kjots (4:5.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:55:01 +0200

kjots (4:5.0.1-1~) experimental; urgency=medium

  * New upstream release (5.0.1).
  * Update copyright information
  * Update build-deps and deps with the info from cmake
  * Install all the files
  * Add missing build dep, xsltproc
  * Add kde-l10n scripted breaks replaces for kjots.mo

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 16:05:21 +0200

=== debian/control ===
Source: kjots
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.1.0~),
               libkf5akonadinotes-dev (>= 5.1.0~),
               libkf5bookmarks-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5i18n-dev,
               libkf5kcmutils-dev (>= 5.16.0~),
               libkf5kontactinterface-dev (>= 4.82.0~),
               libkf5mime-dev (>= 4.87.0~),
               libkf5parts-dev (>= 5.16.0~),
               libkf5pimtextedit-dev (>= 4.91.0~),
               libkf5xmlgui-dev (>= 5.16.0~),
               pkg-kde-tools (>= 0.12),
               xsltproc
Standards-Version: 3.9.8
Homepage: https://userbase.kde.org/KJots
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git

Package: kjots
Architecture: any
Depends: akonadi-server, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Section: utils
Description: note-taking utility
 Kjots is a notebook utility that organizes notes using groups of pages.
 .
 This package is part of the KDE PIM module.

=== debian/watch ===
version=3
http://download.kde.org/stable/kjots/([\d.]+)/src/kjots-([\d.]+).tar.xz

## kjots 5.0.2

=== CMakeLists.txt ===
project(kjots)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 5.16.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(ECMAddTests)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMAddAppIcon)

set(KJOTS_VERSION "5.0.2")

set(KF5_VERSION "5.16.0")
# Only what is in Applications/15.12
set(KDEPIMLIBS_LIB_VERSION "5.1.0")
set(KMIME_LIB_VERSION "4.87.0")
set(PIMTEXTEDIT_LIB_VERSION "4.91.0")
set(KONTACTINTERFACE_LIB_VERSION "4.82.0")

#Qt Packages
set(QT_REQUIRED_VERSION "5.6.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus PrintSupport)

# KF5 Packages
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_packagE(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Bookmarks ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)

# PIM packages
find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)

find_package(Grantlee5 "5.0" CONFIG REQUIRED)

find_package(Xsltproc)

##################### Targets #######################

add_subdirectory(src)
add_subdirectory(icons)

##################### Install ######################

install(DIRECTORY themes
        DESTINATION ${DATA_INSTALL_DIR}/kjots
        PATTERN *.svn EXCLUDE
)

install(FILES data/org.kde.kjots.appdata.xml
	DESTINATION ${CMAKE_INSTALL_METAINFODIR}
)
install(FILES data/org.kde.kjots.desktop
        DESTINATION ${XDG_APPS_INSTALL_DIR}
)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== icons/CMakeLists.txt ===

#ecm_install_icons( ICONS hi128-apps-kjots.png  hi16-apps-kjots.png  hi22-apps-kjots.png  hi32-apps-kjots.png  hi48-apps-kjots.png  hi64-apps-kjots.png  ox16-actions-edit-delete-page.png  ox22-actions-edit-delete-page.png  ox32-actions-edit-delete-page.png  ox48-actions-edit-delete-page.png DESTINATION ${ICON_INSTALL_DIR}   )

file(GLOB app_icons *-apps-kjots.*)
ecm_install_icons(ICONS ${app_icons}
                  DESTINATION ${ICON_INSTALL_DIR}
                  THEME hicolor
)

file(GLOB action_icons *-actions-*)
ecm_install_icons(ICONS ${action_icons}
                  DESTINATION ${ICON_INSTALL_DIR}
                  THEME oxygen
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # akonadi_next is dead in kdepim, those are two utility classes salvaged from
 # it that were used by KJots. We could eventually move this to Akonadi Note
 add_subdirectory(akonadi_next)
+
+add_subdirectory(kontact_plugin)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kjots\")
 
@@ -51,6 +53,7 @@
   KF5::KCMUtils
   KF5::Bookmarks
   KF5::ConfigWidgets
+  KF5::TextWidgets
   KF5::Mime
   KF5::AkonadiCore
   KF5::AkonadiWidgets
@@ -78,8 +81,9 @@
    main.cpp
    KJotsMain.cpp
 )
-kde4_add_app_icon(kjots_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kjots.png")
-# TODO: ECM_ADD_APP_ICON?
+
+file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kjots.png")
+ecm_add_app_icon(kjots_SRCS ICONS ${ICONS_SRCS})
 
 add_executable(kjots ${kjots_SRCS})

=== src/akonadi_next/CMakeLists.txt ===
set(akonadi_next_SRCS
    note.cpp
    notecreatorandselector.cpp
)

ecm_qt_declare_logging_category(akonadi_next_SRCS
    HEADER akonadinext_debug.h
    IDENTIFIER AKONADINEXT_LOG
    CATEGORY_NAME log_akonadinext
)


add_library(akonadi_next STATIC ${akonadi_next_SRCS})
target_link_libraries(akonadi_next
    Qt5::Core
    KF5::AkonadiCore
    KF5::Mime
    KF5::I18n
)

=== src/kontact_plugin/CMakeLists.txt ===
include_directories(${kjots_SOURCE_DIR}/src)

set(kontact_kjots_PART_SRCS
    kjots_plugin.cpp
)

add_library(kontact_kjotsplugin MODULE ${kontact_kjots_PART_SRCS})
target_link_libraries(kontact_kjotsplugin KF5::KontactInterface)

install(TARGETS kontact_kjotsplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kjotsplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES kjots.setdlg DESTINATION ${KDE_INSTALL_DATADIR}/kontact/ksettingsdialog)

#qt5_add_dbus_interfaces(kontact_akregator_PART_SRCS ${akregator_SOURCE_DIR}/src/org.kde.akregator.part.xml)

=== src/noteshared/CMakeLists.txt ===
set(noteshared_SRCS
    notelockattribute.cpp
    noteeditorutils.cpp
    localresourcecreator.cpp
)

ecm_qt_declare_logging_category(noteshared_SRCS
    HEADER noteshared_debug.h
    IDENTIFIER NOTESHARED_LOG
    CATEGORY_NAME log_noteshared
)

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${_kcfgFile} ${_ifaceName})
    string(TOLOWER ${_className} _codeFile)
    set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml PROPERTIES
                                INCLUDE "metatype.h")
    qt5_add_dbus_interface(noteshared_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
    )
endmacro()

add_resource_iface(${CMAKE_CURRENT_SOURCE_DIR}/maildirresource.kcfg
                   org.kde.Akonadi.Maildir.Settings MaildirSettings )

add_custom_target(noteshared_settings_xml ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml
    SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/maildirresource.kcfg
)

add_library(noteshared STATIC ${noteshared_SRCS})
add_dependencies(noteshared noteshared_settings_xml)
target_link_libraries(noteshared
    Qt5::Core
    Qt5::Widgets
    KF5::I18n
    KF5::AkonadiCore
    KF5::AkonadiNotes
)

target_include_directories(noteshared PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

=== debian/changelog ===
kjots (4:5.0.2-1ubuntu1) bionic; urgency=medium

  * No change rebuild against KDE PIM 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 03 Mar 2018 14:40:03 +0000

kjots (4:5.0.2-1build2) bionic; urgency=medium

  * No change rebuild against KDE Apps 17.08

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Dec 2017 10:32:37 +0000

kjots (4:5.0.2-1build1) artful; urgency=medium

  * No-change rebuild against libkf5mime5abi1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Aug 2017 23:32:41 +0000

kjots (4:5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Replace deprecated build dependencies:
    - kio-dev -> libkf5kio-dev
  * Add the libkf5textwidgets-dev build dependency, new requirement.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Jun 2017 20:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: kjots
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.16.0~),
-               kio-dev (>= 5.16.0~),
                libgrantlee5-dev (>= 5.0~),
                libkf5akonadi-dev (>= 4:5.1.0~),
                libkf5akonadinotes-dev (>= 5.1.0~),
@@ -15,14 +15,16 @@
                libkf5configwidgets-dev (>= 5.16.0~),
                libkf5i18n-dev,
                libkf5kcmutils-dev (>= 5.16.0~),
+               libkf5kio-dev (>= 5.16.0~),
                libkf5kontactinterface-dev (>= 4.82.0~),
                libkf5mime-dev (>= 4.87.0~),
                libkf5parts-dev (>= 5.16.0~),
                libkf5pimtextedit-dev (>= 4.91.0~),
+               libkf5textwidgets-dev (>= 5.16.0~),
                libkf5xmlgui-dev (>= 5.16.0~),
                pkg-kde-tools (>= 0.12),
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://userbase.kde.org/KJots
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.2-1

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/kjots/([\d.]+)/kjots-([\d.]+).tar.xz

## kjots 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,25 +4,27 @@
 
 find_package(ECM 5.16.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+set(CMAKE_CXX_STANDARD 14)
 
 include(ECMAddTests)
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddAppIcon)
 
-set(KJOTS_VERSION "5.0.2")
+set(KJOTS_VERSION "5.1.0")
 
-set(KF5_VERSION "5.16.0")
-# Only what is in Applications/15.12
+set(KF5_VERSION "5.71.0")
+set(AKONADINOTES_LIB_VERSION "5.14.41")
 set(KDEPIMLIBS_LIB_VERSION "5.1.0")
 set(KMIME_LIB_VERSION "4.87.0")
-set(PIMTEXTEDIT_LIB_VERSION "4.91.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.14.44")
 set(KONTACTINTERFACE_LIB_VERSION "4.82.0")
+set(LIBKDEPIM_LIB_VERSION "5.14.1")
 
 #Qt Packages
 set(QT_REQUIRED_VERSION "5.6.0")
@@ -32,22 +34,24 @@
 find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
-find_packagE(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Bookmarks ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
 
 # PIM packages
 find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5PimTextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(Grantlee5 "5.0" CONFIG REQUIRED)
 
-find_package(Xsltproc)
+##################### Definitions #####################
+add_definitions(-DQT_NO_KEYWORDS)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 ##################### Targets #######################

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,3 @@
                   DESTINATION ${ICON_INSTALL_DIR}
                   THEME hicolor
 )
-
-file(GLOB action_icons *-actions-*)
-ecm_install_icons(ICONS ${action_icons}
-                  DESTINATION ${ICON_INSTALL_DIR}
-                  THEME oxygen
-)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,5 @@
 
-# noteshared contains copy of some classes from kdepim/noteshared. This
-# is at least until the noteshared library is split out from kdepim
-# repository and we can link against it
 add_subdirectory(noteshared)
-# akonadi_next is dead in kdepim, those are two utility classes salvaged from
-# it that were used by KJots. We could eventually move this to Akonadi Note
-add_subdirectory(akonadi_next)
 
 add_subdirectory(kontact_plugin)
 
@@ -28,25 +22,20 @@
 
 set(kjots_common_SRCS
   aboutdata.cpp
-  kjotslockjob.cpp
   kjotsedit.cpp
-  kjotstreeview.cpp
   kjotsbookmarks.cpp
-  kjotsreplacenextdialog.cpp
   kjotsmodel.cpp
-  kjotssortproxymodel.cpp
   kjotswidget.cpp
   kjotsbrowser.cpp
   kjotslinkdialog.cpp
-  localresourcecreator.cpp
-  kjotsbookshelfentryvalidator.cpp
-  knowitimporter.cpp
+  notesortproxymodel.cpp
+  uistatesaver.cpp
   ${kjots_config_SRCS}
 )
+ki18n_wrap_ui(kjots_common_SRCS linkdialog.ui)
 
 add_library(kjots_common STATIC ${kjots_common_SRCS})
 target_link_libraries(kjots_common
-  akonadi_next
   noteshared
   Qt5::DBus
   Qt5::PrintSupport
@@ -60,6 +49,7 @@
   KF5::PimTextEdit
   KF5::XmlGui
   KF5::KIOWidgets
+  KF5::Libkdepim
   Grantlee5::Templates
   Grantlee5::TextDocument
 )
@@ -117,9 +107,6 @@
 install(FILES ${CMAKE_SOURCE_DIR}/data/kjotspart.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
 )
-install(FILES kjotspartui.rc
-        DESTINATION ${KXMLGUI_INSTALL_DIR}/kjots
-)
 install(TARGETS kjotspart
         DESTINATION ${PLUGIN_INSTALL_DIR}
 )

=== src/kontact_plugin/CMakeLists.txt ===
include_directories(${kjots_SOURCE_DIR}/src)

# TODO: remove once kontactinterface 5.14.42 is required
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  # KF5 >= 5.42 takes care itself of adding its macros in its cmake config files
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "EXPORT_KONTACT_PLUGIN_WITH_JSON")
endif()

set(kontact_kjots_PART_SRCS
    kjots_plugin.cpp
)

add_library(kontact_kjotsplugin MODULE ${kontact_kjots_PART_SRCS})
target_link_libraries(kontact_kjotsplugin KF5::KontactInterface)
kcoreaddons_desktop_to_json(kontact_kjotsplugin kjotsplugin.desktop)

install(TARGETS kontact_kjotsplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kontact5)
install(FILES kjotsplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES kjots.setdlg DESTINATION ${KDE_INSTALL_DATADIR}/kontact/ksettingsdialog)

#qt5_add_dbus_interfaces(kontact_akregator_PART_SRCS ${akregator_SOURCE_DIR}/src/org.kde.akregator.part.xml)

=== src/noteshared/CMakeLists.txt ===
set(noteshared_SRCS
    notecreatorandselector.cpp
    notelockattribute.cpp
    notepinattribute.cpp
    standardnoteactionmanager.cpp
)

ecm_qt_declare_logging_category(noteshared_SRCS
    HEADER noteshared_debug.h
    IDENTIFIER NOTESHARED_LOG
    CATEGORY_NAME log_noteshared
)

add_library(noteshared STATIC ${noteshared_SRCS})
target_link_libraries(noteshared
    Qt5::Core
    Qt5::Widgets
    KF5::I18n
    KF5::AkonadiCore
    KF5::AkonadiNotes
    KF5::XmlGui
)

target_include_directories(noteshared PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

=== debian/changelog ===
kjots (4:5.1.0-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to allow building against KDE PIM 22.08.

 -- Patrick Franz <deltaone@debian.org>  Sat, 03 Sep 2022 15:55:56 +0200

kjots (4:5.1.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to allow building against KDE PIM 22.04.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Jun 2022 14:52:45 +0200

kjots (4:5.1.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patches to allow building against KDE PIM 21.12.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 20:10:57 +0200

kjots (4:5.1.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Remove Max from uploaders, thanks for your work.
  * Add myself to uploaders.
  * Use Debian Qt/KDE as maintainer.
  * Bump standards version, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Aug 2021 09:26:34 +0900

kjots (4:5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update path in watch file, and bump to version 4.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libkf5libkdepim-dev
    - drop libkf5textwidgets-dev, and xsltproc, no more required
    - explicitly add qtbase5-dev
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the patches:
    - apps2008-compat-upstream-bcf49fb9.patch: drop, backported from upstream
  * Stop shipping the upstream README as documentation, as it does not provide
    much of useful information.
  * Update/rewrite copyright.
  * Update lintian overrides.
  * Update the references to the upstream Git repository in
    debian/upstream/metadata.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Feb 2021 11:31:01 +0100

kjots (4:5.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Fix compilation with KDE Apps 20.08 (Closes: #972226)

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 13:36:05 +0200

kjots (4:5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright, and in the watch file.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2019 09:11:35 +0100

=== debian/control ===
Source: kjots
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.16.0~),
               gettext,
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.1.0~),
               libkf5akonadinotes-dev (>= 5.1.0~),
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5i18n-dev,
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5kontactinterface-dev (>= 4.82.0~),
               libkf5libkdepim-dev,
               libkf5mime-dev (>= 4.87.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pimtextedit-dev (>= 4.91.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KJots
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kjots
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kjots.git

Package: kjots
Architecture: any
Depends: akonadi-server, ${misc:Depends}, ${shlibs:Depends}
Section: utils
Description: note-taking utility
 Kjots is a notebook utility that organizes notes using groups of pages.
 .
 This package is part of the KDE PIM module.

## kjots 5.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kjots)

set(KF_VERSION "5.103.0")
find_package(ECM ${KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 17)
include(ECMAddTests)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)

set(KJOTS_VERSION "5.1.1")

set(AKONADINOTES_LIB_VERSION "5.22.80")
set(KDEPIMLIBS_LIB_VERSION "5.22.80")
set(KMIME_LIB_VERSION "5.22.80")
set(KPIMTEXTEDIT_LIB_VERSION "5.22.80")
set(KONTACTINTERFACE_LIB_VERSION "5.22.80")

#Qt Packages
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
    set(KTEXTADDONS_MIN_VERSION "1.2.0")
else()
    set(KF_MAJOR_VERSION "5")
    set(KTEXTADDONS_MIN_VERSION "1.1.0")
endif()
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus PrintSupport)

# KF5 Packages
find_package(KF${KF_MAJOR_VERSION}KCMUtils ${KF_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Config ${KF_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Parts ${KF_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Bookmarks ${KF_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_VERSION} CONFIG REQUIRED)

# PIM packages
find_package(KPim${KF_MAJOR_VERSION}Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
set(GRANTLEE_VERSION "5.3")
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Grantlee5 ${GRANTLEE_VERSION} CONFIG REQUIRED)
    set(MAIN_LIB Grantlee5::Templates Grantlee5::TextDocument)
else()
    find_package(KF6TextTemplate CONFIG REQUIRED)
    set(MAIN_LIB KF6::TextTemplate)
endif()

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)

find_package(KF${KF_MAJOR_VERSION}TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(KF${KF_MAJOR_VERSION}TextEditTextToSpeech PROPERTIES DESCRIPTION
    "Add support for text to speech"
    TYPE OPTIONAL
)
if (TARGET KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
endif()
##################### Definitions #####################
add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_CAST_FROM_ASCII)

##################### Targets #######################

add_subdirectory(src)
add_subdirectory(icons)

##################### Translations ##################

ki18n_install(po)

##################### Install ######################

install(DIRECTORY themes
        DESTINATION ${KDE_INSTALL_DATADIR}/kjots
)

install(FILES data/org.kde.kjots.appdata.xml
	DESTINATION ${KDE_INSTALL_METAINFODIR}
)
install(FILES data/org.kde.kjots.desktop
        DESTINATION ${KDE_INSTALL_APPDIR}
)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===

#ecm_install_icons( ICONS hi128-apps-kjots.png  hi16-apps-kjots.png  hi22-apps-kjots.png  hi32-apps-kjots.png  hi48-apps-kjots.png  hi64-apps-kjots.png  ox16-actions-edit-delete-page.png  ox22-actions-edit-delete-page.png  ox32-actions-edit-delete-page.png  ox48-actions-edit-delete-page.png DESTINATION ${KDE_INSTALL_ICONDIR}   )

file(GLOB app_icons *-apps-kjots.*)
ecm_install_icons(ICONS ${app_icons}
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor
)

=== src/CMakeLists.txt ===

add_subdirectory(noteshared)

add_subdirectory(kontact_plugin)

add_definitions(-DTRANSLATION_DOMAIN=\"kjots\")

configure_file(kjots-version.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/kjots-version.h
               @ONLY
)

#########################################################################
# Code common to the kjots application and the kontact plugin
# Don't make it a static library, this code needs to be compiled
# with -fPIC for the part and without -fPIC for the executable
#########################################################################

set(kjots_config_SRCS kjotsconfigdlg.cpp kjotsconfigdlg.h)
kconfig_add_kcfg_files(kjots_config_SRCS KJotsSettings.kcfgc )
ki18n_wrap_ui(kjots_config_SRCS confpagemisc.ui)

set(kjots_common_SRCS
  aboutdata.cpp
  kjotsedit.cpp
  kjotsbookmarks.cpp
  kjotsmodel.cpp
  kjotswidget.cpp
  kjotsbrowser.cpp
  kjotslinkdialog.cpp
  notesortproxymodel.cpp
  uistatesaver.cpp
  aboutdata.h
  kjotsedit.h
  kjotsbookmarks.h
  kjotsmodel.h
  kjotswidget.h
  kjotsbrowser.h
  kjotslinkdialog.h
  notesortproxymodel.h
  uistatesaver.h
  ${kjots_config_SRCS}
)
ki18n_wrap_ui(kjots_common_SRCS linkdialog.ui)

add_library(kjots_common STATIC ${kjots_common_SRCS})
set_property(TARGET kjots_common PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kjots_common
    KF${KF_MAJOR_VERSION}::KCMUtils

  noteshared
  Qt::DBus
  Qt::PrintSupport
  KF${KF_MAJOR_VERSION}::Bookmarks
  KF${KF_MAJOR_VERSION}::TextWidgets
  KPim${KF_MAJOR_VERSION}::Mime
  KPim${KF_MAJOR_VERSION}::AkonadiCore
  KPim${KF_MAJOR_VERSION}::AkonadiWidgets
  KPim${KF_MAJOR_VERSION}::PimTextEdit
  KF${KF_MAJOR_VERSION}::XmlGui
  KF${KF_MAJOR_VERSION}::KIOWidgets
  ${MAIN_LIB}
)
if (TARGET KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
    target_link_libraries(kjots_common KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
endif()
#########################################################################
# D-Bus interface
#########################################################################

qt_generate_dbus_interface( kjotswidget.h org.kde.KJotsWidget.xml OPTIONS -m )
qt_add_dbus_interfaces(kjots_common_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KJotsWidget.xml)


#########################################################################
# Main Application SECTION
#########################################################################

set(kjots_SRCS
   main.cpp
   KJotsMain.cpp
   KJotsMain.h
)

file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kjots.png")
ecm_add_app_icon(kjots_SRCS ICONS ${ICONS_SRCS})

add_executable(kjots ${kjots_SRCS})

target_link_libraries(kjots
  kjots_common
  KPim${KF_MAJOR_VERSION}::KontactInterface
)

install(TARGETS kjots ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kjots.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR}
)
install(FILES kjotsui.rc
        DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kjots
)

############## next target ##############

set(kjotspart_PART_SRCS
  kjotspart.cpp
  kjotspart.h
)

add_library(kjotspart MODULE ${kjotspart_PART_SRCS})

target_link_libraries(kjotspart
  kjots_common
  KF${KF_MAJOR_VERSION}::Parts
)

install(FILES ${CMAKE_SOURCE_DIR}/data/kjotspart.desktop
        DESTINATION ${KDE_INSTALL_KSERVICESDIR}
)
install(TARGETS kjotspart
        DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

###########################################################################

set(kcm_kjots_PART_SRCS
    kcm_kjots.cpp
    ${kjots_config_SRCS}
)

add_library(kcm_kjots MODULE ${kcm_kjots_PART_SRCS})

target_link_libraries(kcm_kjots
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
)

install(TARGETS kcm_kjots
        DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES ${CMAKE_SOURCE_DIR}/data/kjots_config_misc.desktop
        DESTINATION ${KDE_INSTALL_KSERVICESDIR}
)

=== src/kontact_plugin/CMakeLists.txt ===
include_directories(${kjots_SOURCE_DIR}/src)

set(kontact_kjots_PART_SRCS
    kjots_plugin.cpp
    kjots_plugin.h
)

add_library(kontact_kjotsplugin MODULE ${kontact_kjots_PART_SRCS})
target_link_libraries(kontact_kjotsplugin KF${KF_MAJOR_VERSION}::I18n KPim${KF_MAJOR_VERSION}::KontactInterface)

install(TARGETS kontact_kjotsplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kontact)

=== src/noteshared/CMakeLists.txt ===
set(noteshared_SRCS
    notecreatorandselector.cpp notecreatorandselector.h
    notelockattribute.cpp notelockattribute.h
    notepinattribute.cpp notepinattribute.h
    standardnoteactionmanager.cpp standardnoteactionmanager.h
)

ecm_qt_declare_logging_category(noteshared_SRCS
    HEADER noteshared_debug.h
    IDENTIFIER NOTESHARED_LOG
    CATEGORY_NAME log_noteshared
)

add_library(noteshared STATIC ${noteshared_SRCS})
set_property(TARGET noteshared PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(noteshared
    Qt::Core
    Qt::Widgets
    KF${KF_MAJOR_VERSION}::I18n
    KPim${KF_MAJOR_VERSION}::AkonadiWidgets
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    KPim${KF_MAJOR_VERSION}::AkonadiNotes
    KF${KF_MAJOR_VERSION}::XmlGui
)

target_include_directories(noteshared PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

=== debian/changelog ===
kjots (4:5.1.1-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:11:53 +1100

kjots (4:5.1.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:04:35 +0000

kjots (4:5.1.1-0ubuntu3) mantic; urgency=medium

  * No-change rebuild against New KDE PIM virtual ABI..

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 03:50:28 +0100

kjots (4:5.1.1-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against New KDE PIM..

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Aug 2023 08:13:49 +0100

kjots (4:5.1.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jun 2023 11:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kjots
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
